import turtle

kame = turtle.Turtle()
kame.shape("turtle")
kame.shapesize(2,2,3)
# Turtle型のインスタンスの進むスピード（描画速度）は、speed()メソッドで指定できる。引数は0～10の数字又は特定の文字を指定でき、1が最も遅く、数が増えるに従い速度が速くなり、0を指定した時が最も速くなる。「速い：0>10>9>～>1：遅い」
kame.speed(1.4)

# 線・円を描く
kame.forward(150)
kame.forward(500)
kame.backward(500)
kame.right(90)
kame.left(180)
kame.circle(150)
kame.undo()
kame.home()
kame.clear()

# 座標を測る
kame.write(arg="アイコンの位置：" + str(kame.position()),align="center",font = ("Sans" , 16 , "normal"))
# print(kame.position())
kame.goto(150,200)
kame.write(arg="アイコンの座標：" + str(kame.position()) +"\n" + "アイコンの座標と原点との距離：" + str(kame.distance(0,0)) + "px" , align="center",font = ("Sans" , 16 , "normal"))
# print(kame.position())
# print(kame.distance(0,0))
kame.penup()
kame.circle(150)
print(kame.isdown())
kame.pendown()
kame.home()
kame.clear()

# 正三角形を描く
"""
kame.forward(200)
kame.left(120)
kame.forward(200)
kame.left(120)
kame.forward(200)
"""
kame.write("正三角形",align="right",font = ("Sans" , 16 , "normal"))
for i in range(3):
    kame.forward(200)
    kame.left(120)
kame.home()
kame.clear()

# 星型を描く
kame.write("星型",align="right",font = ("Sans" , 16 , "normal"))
for i in range(5):
    kame.forward(200)
    kame.left(144)
kame.home()
kame.clear()

# hideturtle()メソッドは、描画アイコン（タートルアイコン）を非表示にする
kame.hideturtle()
# print(kame.getscreen())
width = kame.getscreen().window_width()
height = kame.getscreen().window_height()
# write()メソッドは、Turtle Graphicsスクリーンに文字を表示させる事ができる。引数は、「arg=文字,move=文字入力の際に描画アイコンもいどうさせるかどうか,align=描画アイコンの位置に対する文字の位置の指定,font=フォントの指定」。
kame.write(arg="Turtle Graphicsスクリーンの横幅：" + str(width) + "px\n" + "Turtle Graphicsスクリーンの高さ：" + str(height) + "px" , move = False , align = "center" , font = ("Sans" , 16 , "normal"))
# Pythonコマンドによる対話モードで実行するのではなく、Pythonスクリプトファイルを実行する場合には、末尾にturtleモジュールのdone()メソッドを記述しないとウィンドウがすぐ消えてしまう
turtle.done()
