class MyClass:
    # クラス属性
    num = 3

    # メソッド
    def set_num(self, val):
        # メソッド内で属性を定義する（インスタンス属性）
        self.my_num = val


# クラスから作成される全てのインスタンスで、同じ内容で良いデータ属性の場合にはクラス属性として定義する。対して、インスタンスによって内容を変えたいデータ属性の場合には、インスタンス属性として定義する。また、クラス属性とインスタンス属性を同じ名前にすると、インスタンス属性が優先され、クラス属性が参照されなくなる。
c1 = MyClass()
c2 = MyClass()
print(c1.num)
print(c2.num)
c1.set_num(5)
print(c1.my_num)
c2.set_num(8)
print(c2.my_num)
