duplicate_list = [1, 2, 2, 3, 3, 3]
from_list = set(duplicate_list)
# リストを元にしてセットを作ると重複している要素は取り除かれる
print(from_list)  # {1,2,3}
# 要素の重複が取り除かれたリストが作成される
print(list(from_list))  # [1,2,3]

north_zoo = {"elephant", "lion", "tiger", "penguin", "flamingo"}
south_zoo = {"penguin", "lion", "elephant", "ostrich"}
# セット型のintersection()メソッドは、２つのセットに共通している要素を集めて新しいセットを作り、それを返す（積集合）。対称差集合以外。
print(north_zoo.intersection(south_zoo))
# セット型のdifferenceメソッド()は、１つのセットにしか含まれていない要素を集めて新しいセットを作り、それを返す（差集合）
print(north_zoo.difference(south_zoo))  # 北動物園のみ{"tiger","flamingo"}
print(south_zoo.difference(north_zoo))  # 南動物園のみ{"ostrich"}
# セット型のunion()メソッドは、２つのセットの少なくともどちらか１つに含まれている要素を集めて新しいセットを作り、それを返す（和集合）。
print(north_zoo.union(south_zoo))
# セット型のsymmetric_difference()メソッドは、２つのセットの内どちらか１つにだけ含まれている要素を集めて新しいセットを作り、それを返す（対称差集合）。積集合以外。
print(north_zoo.symmetric_difference(south_zoo))
