# OSのシェルからプログラムを実行する時に値をプログラムに渡す（コマンドライン引数）を使って単語を昇順に並べ替える
# sysモジュールは、インタプリタで使用・管理している変数やインタプリタの動作に深く関連する関数を定義している
import sys

# sysモジュールのargv変数に実行ファイル名（sys.argv[0]）とコマンドライン引数（sys.argv[1]以下）が格納される
input_list = sys.argv[1:]
input_list.sort()
print(input_list)

# vsCodeで、「Pythonの実行➡ターミナルで実行する」から入力された複数の単語を降順に並べ替える
word = input("複数の単語をスペースで区切って入力して下さい").split()
word.sort()
word.reverse()
print(word)
