while True:
    try:
        height = input("身長は何cmですか？")
        if len(height) == 0:
            print("身長を入力して下さい。")
            # Enterキーのみが押された場合はプログラムを終了する
            break
        # input()メソッドでユーザーから入力された値は文字列型になるので、少数型に変換する
        height = float(height) / 100
        weight = input("体重は何kgですか？")
        if len(weight) == 0:
            print("体重を入力して下さい。")
            continue
        weight = float(weight)
        # 組み込み関数pow()で累乗を計算できる
        bmi = weight / pow(height,2)
        # format()メソッドは、文字列内に変数を埋め込むときに使用する文字列型のメソッド。「波カッコ{}」にformat()メソッドの引数である変数が埋め込まれる。複数の変数を引数に指定する場合には、「{}」内にゼロから始まる引数の番号を指定するか、「{}」内がカラの場合にはメソッド内の引数の順番通りに出力される。小数点以下の桁を指定したい場合には、「{:.小数点以下の桁数f}」と指定する。
        print("BMI値は、{:.1f}です。".format(bmi))
        if bmi < 18.5:
            print("やせ型です。")
        elif 18.5 <= bmi <25.0:
            print("標準体型です。")
        elif 25.0 <= bmi <30.0:
            print("肥満です。")
        else:
            print("高度な肥満です。")
    except:
        print("身長と体重は数字を入力して下さい。")
