import importlib as lib

# 自作モジュールファイル（my_module.py）の指定関数（func_arg）を「m」という名前で読み込み
from my_module import func_arg as m

# len()関数を使ってリストtest_listの要素の数を調べる
test_list = [1, 2, 3]
print(len(test_list))
# len()関数を使わずにリストtest_listの要素の数を調べる
length = 0
for i in test_list:
    length += 1
print(length)

print(m(5))

# 「from X import Y」でモジュールの関数を読み込んだ場合、リロードするには再度モジュールをインポートする必要がある
import my_module

lib.reload(my_module)
print(lib.reload(my_module))
print(m(5))
