import turtle


class Kame(turtle.Turtle):  # 親クラス（turtle.Turtle）を継承
    def __init__(self):
        # 組み込み関数super()は、継承元の親クラスを返す
        # 親クラス（turtle.Turtle）の初期化メソッドが上書きされるので、まず、小クラス（Kameクラス）の初期化メソッドの先頭で親クラスの初期化メソッドを呼び出す
        super().__init__()
        self.shape("turtle")
        self.shapesize(2, 2)
        self.fillcolor("green")

    def done(self):
        turtle.done()


kame_test = Kame()
kame_test.done()
